Get Tariff
curl --request GET \
--url https://api.example.com/cabinet/admin/tariffs/{tariff_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/cabinet/admin/tariffs/{tariff_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/cabinet/admin/tariffs/{tariff_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/cabinet/admin/tariffs/{tariff_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/cabinet/admin/tariffs/{tariff_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/cabinet/admin/tariffs/{tariff_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/cabinet/admin/tariffs/{tariff_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": 123,
"name": "<string>",
"is_active": true,
"is_trial_available": true,
"traffic_limit_gb": 123,
"device_limit": 123,
"tier_level": 123,
"display_order": 123,
"period_prices": [
{
"days": 2,
"price_kopeks": 1,
"price_rubles": 123
}
],
"allowed_squads": [
"<string>"
],
"servers": [
{
"id": 123,
"squad_uuid": "<string>",
"display_name": "<string>",
"country_code": "<string>",
"is_selected": false,
"traffic_limit_gb": 123
}
],
"promo_groups": [
{
"id": 123,
"name": "<string>",
"is_selected": false
}
],
"subscriptions_count": 123,
"created_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"allow_traffic_topup": true,
"traffic_topup_enabled": false,
"traffic_topup_packages": {},
"max_topup_traffic_gb": 0,
"device_price_kopeks": 123,
"max_device_limit": 123,
"server_traffic_limits": {},
"custom_days_enabled": false,
"price_per_day_kopeks": 0,
"min_days": 1,
"max_days": 365,
"custom_traffic_enabled": false,
"traffic_price_per_gb_kopeks": 0,
"min_traffic_gb": 1,
"max_traffic_gb": 1000,
"is_daily": false,
"daily_price_kopeks": 0,
"traffic_reset_mode": "<string>",
"external_squad_uuid": "<string>",
"show_in_gift": true,
"updated_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Cabinet Admin Tariffs
Get Tariff
Get detailed tariff info.
GET
/
cabinet
/
admin
/
tariffs
/
{tariff_id}
Get Tariff
curl --request GET \
--url https://api.example.com/cabinet/admin/tariffs/{tariff_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/cabinet/admin/tariffs/{tariff_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/cabinet/admin/tariffs/{tariff_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/cabinet/admin/tariffs/{tariff_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/cabinet/admin/tariffs/{tariff_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/cabinet/admin/tariffs/{tariff_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/cabinet/admin/tariffs/{tariff_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": 123,
"name": "<string>",
"is_active": true,
"is_trial_available": true,
"traffic_limit_gb": 123,
"device_limit": 123,
"tier_level": 123,
"display_order": 123,
"period_prices": [
{
"days": 2,
"price_kopeks": 1,
"price_rubles": 123
}
],
"allowed_squads": [
"<string>"
],
"servers": [
{
"id": 123,
"squad_uuid": "<string>",
"display_name": "<string>",
"country_code": "<string>",
"is_selected": false,
"traffic_limit_gb": 123
}
],
"promo_groups": [
{
"id": 123,
"name": "<string>",
"is_selected": false
}
],
"subscriptions_count": 123,
"created_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"allow_traffic_topup": true,
"traffic_topup_enabled": false,
"traffic_topup_packages": {},
"max_topup_traffic_gb": 0,
"device_price_kopeks": 123,
"max_device_limit": 123,
"server_traffic_limits": {},
"custom_days_enabled": false,
"price_per_day_kopeks": 0,
"min_days": 1,
"max_days": 365,
"custom_traffic_enabled": false,
"traffic_price_per_gb_kopeks": 0,
"min_traffic_gb": 1,
"max_traffic_gb": 1000,
"is_daily": false,
"daily_price_kopeks": 0,
"traffic_reset_mode": "<string>",
"external_squad_uuid": "<string>",
"show_in_gift": true,
"updated_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Successful Response
Detailed tariff response.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
